diff --git a/src/FFmpeg.cpp b/src/FFmpeg.cpp
index 78493992b..918309607 100644
--- a/src/FFmpeg.cpp
+++ b/src/FFmpeg.cpp
@@ -646,17 +646,16 @@ bool FFmpegLibs::FindLibs(wxWindow *parent)
    wxString path;
    wxString name;
 
-   // If we're looking for the lib, use the standard name, as the
-   // configured name is not found.
-   name = GetLibAVFormatName();
    wxLogMessage(wxT("Looking for FFmpeg libraries..."));
    if (!mLibAVFormatPath.empty()) {
       wxLogMessage(wxT("mLibAVFormatPath ('%s') is not empty."), mLibAVFormatPath);
       const wxFileName fn{ mLibAVFormatPath };
       path = fn.GetPath();
+      name = fn.GetFullName();
    }
    else {
       path = GetLibAVFormatPath();
+      name = GetLibAVFormatName();
       wxLogMessage(wxT("mLibAVFormatPath is empty, starting with path '%s', name '%s'."),
                   path, name);
    }
diff --git a/src/FFmpeg.h b/src/FFmpeg.h
index 858eb772b..af03ef1da 100644
--- a/src/FFmpeg.h
+++ b/src/FFmpeg.h
@@ -291,22 +291,16 @@ public:
 
    wxString GetLibAVFormatName()
    {
-      if (sizeof(void*) == 8)
-         return (wxT("ffmpeg.") wxT(AV_STRINGIFY(LIBAVFORMAT_VERSION_MAJOR)) wxT(".64bit.dylib"));
       return (wxT("libavformat.") wxT(AV_STRINGIFY(LIBAVFORMAT_VERSION_MAJOR)) wxT(".dylib"));
    }
 
    wxString GetLibAVCodecName()
    {
-      if (sizeof(void*) == 8)
-         return (wxT("ffmpeg_codecs.") wxT(AV_STRINGIFY(LIBAVCODEC_VERSION_MAJOR)) wxT(".64bit.dylib"));
       return (wxT("libavcodec.") wxT(AV_STRINGIFY(LIBAVCODEC_VERSION_MAJOR)) wxT(".dylib"));
    }
 
    wxString GetLibAVUtilName()
    {
-      if (sizeof(void*) == 8)
-         return (wxT("ffmpeg_utils.") wxT(AV_STRINGIFY(LIBAVUTIL_VERSION_MAJOR)) wxT(".64bit.dylib"));
       return (wxT("libavutil.") wxT(AV_STRINGIFY(LIBAVUTIL_VERSION_MAJOR)) wxT(".dylib"));
    }
 #else
